<?php

use App\Models\Application;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('applications', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained()->onDelete('cascade');
            $table->enum('type', Application::ALL_APPLICATION_TYPES);
            $table->string('current_country');
            $table->string('marital_status')->nullable();
            $table->string('age')->nullable();
            $table->string('past_educational_institute')->nullable();
            $table->boolean('valid_eca')->default(true);
            $table->string('education')->nullable();
            $table->boolean('ielts_completed')->default(true);
            $table->string('ielts_score')->nullable();
            $table->string('work_experience')->nullable();
            $table->string('crs_score')->nullable();
            $table->string('year_to_move_in'); //is ambigous, it could change in future
            $table->boolean('family_in_country')->default(true);
            $table->string('education_to_pursue')->nullable();
            $table->boolean('consultation_needed')->default(true);
            $table->boolean('medically_effected')->default(true);
            $table->boolean('sufficient_fund')->default(true);
            $table->boolean('need_loan_assistance')->default(true);
            $table->string('job_to_pursue')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('applications');
    }
};
